org.apache.solr.common.cloud

## Class ZkStateReader.ConfigData

- java.lang.Object
- - org.apache.solr.common.cloud.ZkStateReader.ConfigData

Enclosing class:
  ZkStateReader

    public static class ZkStateReader.ConfigData
    extends Object

### Field Summary

Fields
`Map<String,Object>` `data`
`int` `version`

### Constructor Summary

Constructors
Constructor and Description
`ConfigData()`
`ConfigData(Map<String,Object> data, int version)`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### data

    public Map<String,Object> data

#### version

    public int version

### Constructor Detail

#### ConfigData

    public ConfigData()

#### ConfigData

    public ConfigData(Map<String,Object> data,
                      int version)